org.apache.ignite.internal.util

## Class GridMultiCollectionWrapper<E>

- java.lang.Object
- - org.apache.ignite.internal.util.GridMultiCollectionWrapper<E>

Type Parameters:
  `E` -

All Implemented Interfaces:
  Iterable<E>, Collection<E>

    public class GridMultiCollectionWrapper<E>
    extends Object
    implements Collection<E>

Wrapper around several collection, don't allow adding new elements.

### Field Summary

Fields
`Collection<E>[]` `collections` Collections.

### Constructor Summary

Constructors
Constructor and Description
`GridMultiCollectionWrapper(Collection<E>... collections)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `add(E e)`
`boolean` `addAll(Collection<? extends E> c)`
`void` `clear()`
`int` `collectionsSize()`
`boolean` `contains(Object o)`
`boolean` `containsAll(@NotNull Collection<?> c)`
`Collection<E>` `innerCollection(int idx)`
`boolean` `isEmpty()`
`@NotNull Iterator<E>` `iterator()`
`boolean` `remove(Object o)`
`boolean` `removeAll(@NotNull Collection<?> c)`
`boolean` `retainAll(@NotNull Collection<?> c)`
`int` `size()`
`@NotNull Object[]` `toArray()`
`<T> T[]` `toArray(T[] a)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`equals, hashCode, parallelStream, removeIf, spliterator, stream`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Field Detail

#### collections

    public final Collection<E>[] collections

Collections.

### Constructor Detail

#### GridMultiCollectionWrapper

    public GridMultiCollectionWrapper(Collection<E>... collections)

Parameters:
  `collections` - Collections.

### Method Detail

#### size

    public int size()

Specified by:
  `size` in interface `Collection<E>`

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Collection<E>`

#### contains

    public boolean contains(Object o)

Specified by:
  `contains` in interface `Collection<E>`

#### iterator

    @NotNull
    public @NotNull Iterator<E> iterator()

Specified by:
  `iterator` in interface `Iterable<E>`
Specified by:
  `iterator` in interface `Collection<E>`

#### toArray

    @NotNull
    public @NotNull Object[] toArray()

Specified by:
  `toArray` in interface `Collection<E>`

#### toArray

    @NotNull
    public <T> T[] toArray(@NotNull
                                    T[] a)

Specified by:
  `toArray` in interface `Collection<E>`

#### add

    public boolean add(E e)

Specified by:
  `add` in interface `Collection<E>`

#### remove

    public boolean remove(Object o)

Specified by:
  `remove` in interface `Collection<E>`

#### containsAll

    public boolean containsAll(@NotNull
                               @NotNull Collection<?> c)

Specified by:
  `containsAll` in interface `Collection<E>`

#### addAll

    public boolean addAll(Collection<? extends E> c)

Specified by:
  `addAll` in interface `Collection<E>`

#### removeAll

    public boolean removeAll(@NotNull
                             @NotNull Collection<?> c)

Specified by:
  `removeAll` in interface `Collection<E>`

#### retainAll

    public boolean retainAll(@NotNull
                             @NotNull Collection<?> c)

Specified by:
  `retainAll` in interface `Collection<E>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `Collection<E>`

#### collectionsSize

    public int collectionsSize()

Returns:
  Number of inner collections.

#### innerCollection

    public Collection<E> innerCollection(int idx)

Parameters:
  `idx` - Inner collection index.
Returns:
  Collection.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020